local sti = require "lib.sti"

function love.load()

    -- use sti to load 4 maps
    -- all are 160px by 160px
    -- 10 tiles by 10 tiles, 16px tiles

    -- use offset params to position them in a square
    -- [map1] [map2]
    -- [map3] [map4]
    map1 = sti("map001.lua", {}, 0, 0)
    map2 = sti("map002.lua", {}, 160, 0)
    map3 = sti("map003.lua", {}, 0, 160)
    map4 = sti("map004.lua", {}, 160, 160)

end

function love.draw()

    -- draw all four maps
    map1:draw()
    map2:draw()
    map3:draw()

    -- only last map drawn will be displayed
    -- rearranging draw calls will illustrated the problem
    map4:draw()

end
